Issue 106896

Summary: Text Document - Assertion failed TransactionManager...
Product: Base Reporter: drewjensen.inbox
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, Mathias_Bauer, mechtilde, tenger
Version: DEV300m61Keywords: oooqa
Target Milestone: ---   
Hardware: Unknown   
OS: Windows 7   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
backtrace, with transactionmanager.cxx line 396
none
backtrace, with closedispatcher line 454 none

Description drewjensen.inbox 2009-11-13 13:25:04 UTC
Win 7 - CWS HSQLdb, 11/11/09 build
Start OO.o
Create a new Text document

Close application via system window close icon (upper right corner)

Error: ASSERT:
	TransactionManager...
	"Owner instance already closed. Call was rejected!"

From File
d:/src/cws/hsqldb19/ooo/framework/source/threadhelp/transactionmanager.cxx at
Line 399

Ignore and continue

Error: ASSERT:
	CloseDispatcher::impl_asyncCallback
	"Congratulation! You found the reason for bug #120310#. Please contact the
right developer and show him a scenario, which trigger this bug. THX."

From File d:/src/cws/hsqldb19/ooo/framework/source/dispatch/closedispatcher.cxx
at Line 457

Ignore and continue

Application closes - successfully.
Comment 1 ocke.janssen 2009-11-30 09:05:36 UTC
Seems to be yours.
Comment 2 400guy 2010-04-03 22:23:31 UTC
Again, but DEV300_M75 on Linux.

I was closing a database by a click on the X in the upper right corner
of the window.  The program told me ...

    Error: ASSERT:
    	TransactionManager...
	"Owner instance already closed. Call was rejected!"

    From File
/home/terry/OOo_hacking/DEV300_m75/framework/source/threadhelp/transactionmanager.cxx
at Line 396
    Abort ? (Yes=abort / No=ignore / Cancel=core dump)

I clicked No=ignore, and the program told me ...

    Error: ASSERT:
    	CloseDispatcher::impl_asyncCallback
    	"Congratulation! You found the reason for bug #120310#. Please contact the
right developer and show him a scenario, which trigger this bug. THX."
    
    From File
/home/terry/OOo_hacking/DEV300_m75/framework/source/dispatch/closedispatcher.cxx
at Line 454
    Abort ? (Yes=abort / No=ignore / Cancel=core dump)


The database uses an ODBC connection to an AS/400 (or system/i or i5
or IBM i, depending on taste) running V5R4 of the operating system.  I
had the connection open for a couple of hours, and OpenOffice has been
running for about 12 hours.  While the database was open, I had one
breakpoint defined, hit several times, then disabled.

I am running a lightly hacked non-production build of DEV300_m75.

Attachments coming soon: two backtraces.
Comment 3 400guy 2010-04-03 22:25:57 UTC
Created attachment 68728 [details]
backtrace, with transactionmanager.cxx line 396
Comment 4 400guy 2010-04-03 22:27:37 UTC
Created attachment 68729 [details]
backtrace, with closedispatcher line 454
Comment 5 Mechtilde 2010-04-05 10:08:56 UTC
please file an separate issue if you use different DBMSs

the first reporter (atjensen) told about a hsql CWS and you (400guy) told about
an ODBC connection to an AS/400 maschine.
Comment 6 400guy 2010-04-05 15:39:28 UTC
I have created new issue 110623 because of different database.
Comment 7 Mathias_Bauer 2010-05-14 14:19:55 UTC
This assertion is known to appear if the last OOo window is closed while the
quickstarter is running (issue 111452). Is that your scenario also?